Bug 613646

Summary: Review Request: twlog - A simple day to day logging program for ham radio
Product: [Fedora] Fedora Reporter: Randy Berry <randyn3lrx>
Component: Package ReviewAssignee: manuel wolfshant <wolfy>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, notting, wb8rcr
Target Milestone: ---Flags: wolfy: fedora-review+
kevin: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: twlog-2.7-2.fc13 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-07-23 02:23:45 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Randy Berry 2010-07-12 13:53:14 UTC
Spec URL: http://dp67.fedorapeople.org/pkgs/SPECS/twlog.spec
SRPM URL: http://dp67.fedorapeople.org/pkgs/SRPMS/twlog-2.6-1.fc13.src.rpm

Description:
Twlog records basic ham log information. It was written
for day to day logging, not contesting. There are no dupe
checks or contest related features.

twlog.i686: W: no-manual-page-for-binary twlog
3 packages and 1 specfiles checked; 0 errors, 1 warnings.

No man page yet.. Upstream contacted.

Project Website: http://wa0eir.home.mchsi.com/twlog.html
Source Download: http://wa0eir.home.mchsi.com/src/twlog-2.6.src.tar.gz
Koji Build: https://koji.fedoraproject.org/koji/taskinfo?taskID=2313144

Comment 1 Randy Berry 2010-07-12 22:48:03 UTC
Mon Jul 12 2010 Randall "Randy" Berry <dp67 at fedoraprojecct dot org> - 2.6-2
- Tweek install wrapper

Spec URL: http://dp67.fedorapeople.org/pkgs/SPECS/twlog.spec
SRPM URL: http://dp67.fedorapeople.org/pkgs/SRPMS/twlog-2.6-2.fc13.src.rpm

Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2314723

Comment 2 John J. McDonough 2010-07-13 00:02:53 UTC
Looks pretty good to me, and it works.  The only delta I see is that it would be better for it to appear on the "Other" menu rather than "Internet", but it isn't the only amateur radio app with that behavior.

Should there be an update-desktop-database?  I never got that whole business clear.

Comment 3 Randy Berry 2010-07-13 01:07:57 UTC
Originally Ham Radio apps .desktop files were solely in the "HamRadio;" category which put them in "Other" on the desktop. Someone came along and filed bugs against all ham radio apps that the categories were against FreeDesktop.org's standards so they were all changed to "Network;HamRadio;" to conform. Which put them in the "Internet" category on the desktop. Doesn't make sense I know, but I guess logic was not in the mix when the standard was made.

Documentation is here:
http://standards.freedesktop.org/menu-spec/latest/apa.html

I'll check into adding update-desktop-database

Thanks

Comment 4 Randy Berry 2010-07-13 02:18:04 UTC
No MimeType key in the .desktop file so I guess update-desktop-database is not needed.

Comment 5 Randy Berry 2010-07-16 03:15:17 UTC
Spec URL: http://dp67.fedorapeople.org/pkgs/SPECS/twlog.spec
SRPM URL: http://dp67.fedorapeople.org/pkgs/SRPMS/twlog-2.6-3.fc13.src.rpm

Tweak install wrapper. TWlog already checks if .twlogDir exists. 

Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2323278

Comment 6 manuel wolfshant 2010-07-17 15:00:41 UTC
Randall, is there any reason to not use the newer upstream version ( http://wa0eir.home.mchsi.com/src/twlog-2.7.src.tar.gz ) ?

I suggest to trim a bit the description. References to the changes over the older version (such as " a new Matrix window ...", "A [...] was added...") are, in my opinion, completely irrelevant, just include a list of features.

If you do not plan to build the package for older distros ( EPEL , F12) you can remove the BuildRoot tag and "rm -rf $RPM_BUILD_ROOT" invocations.

Comment 7 Randy Berry 2010-07-17 21:50:00 UTC
Thanks Wolfy,

Spec URL: http://dp67.fedorapeople.org/pkgs/SPECS/twlog.spec
SRPM URL: http://dp67.fedorapeople.org/pkgs/SRPMS/twlog-2.7-1.fc13.src.rpm

- New upstream release
- Edit spec per review
- Added desktop-file-install to verify .desktop file, not in review
  recommendations but I figured it couldn't hurt.

rpmlint output:
twlog.i686: W: no-manual-page-for-binary twlog
3 packages and 1 specfiles checked; 0 errors, 1 warnings.

(In reply to comment #6)
> Randall, is there any reason to not use the newer upstream version (
> http://wa0eir.home.mchsi.com/src/twlog-2.7.src.tar.gz ) ?

 Done: New upstream release posted after initial review was submitted. 

> I suggest to trim a bit the description. References to the changes over the
> older version (such as " a new Matrix window ...", "A [...] was added...") are,
> in my opinion, completely irrelevant, just include a list of features.

 Done: Trimmed the description to basic details.

> If you do not plan to build the package for older distros ( EPEL , F12) you can
> remove the BuildRoot tag and "rm -rf $RPM_BUILD_ROOT" invocations.    

I had planned to build for all currently supported Fedora releases.

Comment 8 manuel wolfshant 2010-07-19 08:53:52 UTC
The configure script seems to have a small bug, it does not correctly check for the existence of libXpm.so on x86_64. Please compare the x86 build.log (http://koji.fedoraproject.org/koji/getfile?taskID=2323280&name=build.log ) and the x86_64 one (http://koji.fedoraproject.org/koji/getfile?taskID=2323279&name=build.log ). i.e.:

checking for Xbae... libraries default path, headers default path
checking for /usr/lib/libXpm.so... yes
checking for XpmCreatePixmapFromData in -lXpm... yes

versus

checking for Xbae... libraries default path, headers default path
checking for /usr/lib/libXpm.so... no
checking for /usr/lib/X11/libXpm.so... no
checking for /usr/X11R6/lib/libXpm.so... no
checking for /usr/X11/lib/libXpm.so... no
configure: WARNING: "Can't find the Xpm library on your system."
configure: WARNING: "The window icon will not be created."

Comment 9 Randy Berry 2010-07-19 22:13:10 UTC
Spec URL: http://dp67.fedorapeople.org/pkgs/SPECS/twlog.spec
SRPM URL: http://dp67.fedorapeople.org/pkgs/SRPMS/twlog-2.7-2.fc13.src.rpm

Added configure patch to search 64 bit libs.

Koji build log: 
http://koji.fedoraproject.org/koji/getfile?taskID=2329811&name=build.log
 
From Koji build log:
checking for Xbae... libraries default path, headers default path
checking for /usr/lib/libXpm.so... no
checking for /usr/lib64/libXpm.so... yes
checking for XpmCreatePixmapFromData in -lXpm... yes

Comment 10 Randy Berry 2010-07-19 22:29:17 UTC
Wrong scratch build link in above.

Koji build log:
http://koji.fedoraproject.org/koji/getfile?taskID=2329855&name=build.log

Comment 11 manuel wolfshant 2010-07-20 11:47:24 UTC
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM: empty
 [x] Package is not relocatable.
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type:i GPLv2+
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package match the upstream source, as provided in the spec URL.
     SHA1SUM of source file: a774d84acb2e5270152bbe04d0c8b9b614e550ce  twlog-2.7.src.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [x] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [x] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.
 [x] Final provides and requires are sane.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: koji scratch build (EL6)
 [x] Package should compile and build into binary rpms on all supported architectures.
     Tested on: koji scratch build (EL-6)
 [x] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [-] %check is present and the test passes.

=== OPTIONAL ITEMS ===
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT.

==== APROVED ======


QFB
73 de wolfy

Comment 12 Randy Berry 2010-07-20 12:04:22 UTC
Thanks Wolfy,

New Package CVS Request
=======================
Package Name: twlog 
Short Description: A simple logging application for Amateur Radio
Owners: dp67
Branches: F-12 F-13

Comment 13 Kevin Fenzi 2010-07-21 05:16:28 UTC
CVS done (by process-cvs-requests.py).

Comment 14 Fedora Update System 2010-07-21 14:28:51 UTC
twlog-2.7-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/twlog-2.7-2.fc13

Comment 15 Fedora Update System 2010-07-21 14:30:56 UTC
twlog-2.7-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/twlog-2.7-2.fc12

Comment 16 Fedora Update System 2010-07-23 02:23:41 UTC
twlog-2.7-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2010-07-23 02:32:39 UTC
twlog-2.7-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.